# DMCompositeGetLocalVectors

Gets local vectors and arrays for each part of a DMComposite.' Use VecPakcRestoreLocalVectors() to return them.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DMCompositeGetLocalVectors(DMComposite packer,...)

Collective on DMComposite

### Input Parameter

packer -the packer object

### Output Parameter

... -the individual sequential objects (arrays or vectors)

### See Also

DMCompositeDestroy(), DMCompositeAddArray(), DMCompositeAddDA(), DMCompositeCreateGlobalVector(),
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetGlobalIndices(), DMCompositeGetAccess(), DMCompositeRestoreLocalVectors(), DMCompositeScatter(), DMCompositeGetEntries()

Level:advanced
Location:src/dm/da/utils/pack.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex24.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/mex34f90.F.html
src/snes/examples/tutorials/ex34f90.F.html
src/snes/examples/tutorials/mex35f90.F90.html
src/snes/examples/tutorials/ex35f90.F90.html
src/snes/examples/tutorials/mex36f90.F90.html
src/snes/examples/tutorials/ex36f90.F90.html
src/snes/examples/tutorials/mex37f90.F90.html